org.mariadb.jdbc.internal.io.socket

## Class UnixDomainSocket

- java.lang.Object
- - java.net.Socket
  - - org.mariadb.jdbc.internal.io.socket.UnixDomainSocket

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class UnixDomainSocket
    extends Socket

### Nested Class Summary

Nested Classes
`static class` `UnixDomainSocket.SockAddr`

### Field Summary

Fields
`static int` `AF_UNIX`
`static int` `PROTOCOL`
`static int` `SOCK_STREAM`

### Constructor Summary

Constructors
Constructor and Description
`UnixDomainSocket(String path)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`static int` `close(int fd)`
`static int` `connect(int sockfd, UnixDomainSocket.SockAddr sockaddr, int addrlen)`
`void` `connect(SocketAddress endpoint)`
`void` `connect(SocketAddress endpoint, int timeout)`
`InputStream` `getInputStream()`
`OutputStream` `getOutputStream()`
`static int` `recv(int fd, byte[] buffer, int count, int flags)`
`static int` `send(int fd, byte[] buffer, int count, int flags)`
`void` `setKeepAlive(boolean b)`
`void` `setReceiveBufferSize(int size)`
`void` `setSendBufferSize(int size)`
`void` `setSoLinger(boolean b, int i)`
`void` `setSoTimeout(int timeout)`
`void` `setTcpNoDelay(boolean b)`
`void` `shutdownInput()`
`void` `shutdownOutput()`
`static int` `socket(int domain, int type, int protocol)`
`static String` `strerror(int errno)`

### Methods inherited from class java.net.Socket

`bind, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setOOBInline, setPerformancePreferences, setReuseAddress, setSocketImplFactory, setTrafficClass, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### AF_UNIX

    public static final int AF_UNIX

See Also:
  Constant Field Values

#### SOCK_STREAM

    public static final int SOCK_STREAM

#### PROTOCOL

    public static final int PROTOCOL

See Also:
  Constant Field Values

### Constructor Detail

#### UnixDomainSocket

    public UnixDomainSocket(String path)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### socket

    public static int socket(int domain,
                             int type,
                             int protocol)
                      throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### connect

    public static int connect(int sockfd,
                              UnixDomainSocket.SockAddr sockaddr,
                              int addrlen)
                       throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### recv

    public static int recv(int fd,
                           byte[] buffer,
                           int count,
                           int flags)
                    throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### send

    public static int send(int fd,
                           byte[] buffer,
                           int count,
                           int flags)
                    throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### close

    public static int close(int fd)
                     throws com.sun.jna.LastErrorException

Throws:
  `com.sun.jna.LastErrorException`

#### strerror

    public static String strerror(int errno)

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `Socket`
Throws:
  `IOException`

#### connect

    public void connect(SocketAddress endpoint)
                 throws IOException

Overrides:
  `connect` in class `Socket`
Throws:
  `IOException`

#### connect

    public void connect(SocketAddress endpoint,
                        int timeout)
                 throws IOException

Overrides:
  `connect` in class `Socket`
Throws:
  `IOException`

#### getInputStream

    public InputStream getInputStream()

Overrides:
  `getInputStream` in class `Socket`

#### getOutputStream

    public OutputStream getOutputStream()

Overrides:
  `getOutputStream` in class `Socket`

#### setTcpNoDelay

    public void setTcpNoDelay(boolean b)

Overrides:
  `setTcpNoDelay` in class `Socket`

#### setKeepAlive

    public void setKeepAlive(boolean b)

Overrides:
  `setKeepAlive` in class `Socket`

#### setReceiveBufferSize

    public void setReceiveBufferSize(int size)

Overrides:
  `setReceiveBufferSize` in class `Socket`

#### setSendBufferSize

    public void setSendBufferSize(int size)

Overrides:
  `setSendBufferSize` in class `Socket`

#### setSoLinger

    public void setSoLinger(boolean b,
                            int i)

Overrides:
  `setSoLinger` in class `Socket`

#### setSoTimeout

    public void setSoTimeout(int timeout)

Overrides:
  `setSoTimeout` in class `Socket`

#### shutdownInput

    public void shutdownInput()

Overrides:
  `shutdownInput` in class `Socket`

#### shutdownOutput

    public void shutdownOutput()

Overrides:
  `shutdownOutput` in class `Socket`